import os
import torch
import torch.nn as nn

class train_basis(nn.Module):
    def __init__(self, args):
        super(train_basis, self).__init__()
        self.args = args
        self.device = self._acquire_device()
        #self.model = self.ininial_model().to(self.device)

    def _acquire_device(self):
        if self.args.use_gpu:
            os.environ["CUDA_VISIBLE_DEVICES"] = str(self.args.gpu)
            device = torch.device('cuda:{}'.format(self.args.gpu))
            print('Use GPU: cuda:{}'.format(self.args.gpu))
        else:
            device = torch.device('cpu')
            print('Use CPU')
        return device
    
    def ininial_model(self):
        raise NotImplementedError
        return None
    
    def load_data(self):
        pass

    def train_model(self):
        pass



